MONGOC_GRIDFS_FILE_LIST_ERROR(3)

NAME
mongoc_gridfs_file_list_error() - Fetches any error that has occurred while trying to retrieve the file list.

SYNOPSIS

bool
mongoc_gridfs_file_list_error (mongoc_gridfs_file_list_t *list,
                               bson_error_t              *error);

PARAMETERS

list
    A mongoc_gridfs_file_list_t \&.

error
    An optional location for a bson_error_t or NULL \&.

DESCRIPTION

Fetches any error that has occurred while trying to retrieve the file list.

ERRORS

Errors are propagated via the error parameter.

RETURNS

false if no error has been registered, otherwise true and error is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.